Dash bg color doesn't match its surroundings

Bug #1232726 reported by Edwin Pujols on 2013-09-29
196
This bug affects 34 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Marco Trevisan (Treviño)
7.1
Fix Released
High
Marco Trevisan (Treviño)
mesa (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Medium
Marco Trevisan (Treviño)
Saucy
Undecided
Marco Trevisan (Treviño)

Bug Description

Lately, after login the Dash keeps a black background even if the Launcher and panel follow the current wallpaper color. I've added a screenshot. If I change the wallpaper, Dash recovers its chameleonic effect (until next reboot).

Also, this started happening at the same time that a new error message (at log time) appeared, I've attached this error message, too.

Description: Ubuntu Saucy Salamander (development branch)
Release: 13.10

unity:
  Installed: 7.1.1+13.10.20130927.1-0ubuntu1
  Candidate: 7.1.1+13.10.20130927.1-0ubuntu1
  Version table:
 *** 7.1.1+13.10.20130927.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ saucy/main i386 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: unity 7.1.1+13.10.20130927.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-9.16-generic 3.11.2
Uname: Linux 3.11.0-9-generic i686
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu1
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sun Sep 29 08:00:07 2013
DistUpgraded: Fresh install
DistroCodename: saucy
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:30a2]
   Subsystem: Hewlett-Packard Company Device [103c:30a2]
InstallationDate: Installed on 2013-08-31 (28 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha i386 (20130830)
MachineType: Hewlett-Packard HP Compaq nx7400 (GF451LA#ABM)
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.11.0-9-generic root=UUID=cab2c6d5-2bf8-4db8-ba85-daaf28b1afec ro quiet splash
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/18/2006
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68YGU Ver. F.0A
dmi.board.name: 30A2
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 40.17
dmi.chassis.asset.tag: CNU7111JLR
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68YGUVer.F.0A:bd12/18/2006:svnHewlett-Packard:pnHPCompaqnx7400(GF451LA#ABM):pvrF.0A:rvnHewlett-Packard:rn30A2:rvrKBCVersion40.17:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq nx7400 (GF451LA#ABM)
dmi.product.version: F.0A
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.10+13.10.20130927.1-0ubuntu1
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu9
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Sun Sep 29 07:53:46 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs: Output TV-0 VGA-0
xserver.version: 2:1.14.2.901-2ubuntu6
xserver.video_driver: intel

Related branches

Edwin Pujols (edwinpm5) wrote :
Edwin Pujols (edwinpm5) wrote :
Christopher Townsend (townsend) wrote :

I can confirm this behavior and the initial black behind the Dash is due to the fact that OpenGL 1.4 is being forced as the workaround for the poor performance for Mesa 9.2. Why it takes changing the background to get the correct blurring still needs to be investigated.

Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Christopher Townsend (townsend) wrote :

I expect this is probably an issue in Mesa 9.2 than in Unity/Nux since I can't see any recent changes in Unity/Nux that would potentially cause this.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mesa (Ubuntu):
status: New → Confirmed
Edwin Pujols (edwinpm5) on 2013-10-18
description: updated
Changed in mesa (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → Triaged
Changed in mesa (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
status: Confirmed → Incomplete
Changed in unity:
milestone: none → 7.2.0
no longer affects: unity/7.2
Changed in unity:
importance: Undecided → High
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity at revision None, scheduled for release in unity, milestone 7.2.0

Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu Saucy):
status: New → Confirmed
Changed in mesa (Ubuntu):
status: Incomplete → Invalid
Changed in unity (Ubuntu Saucy):
status: Confirmed → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Archisman Panigrahi (apandada1) wrote :

Will this bug ever be fixed in Saucy or would we have to wait for Trusty?

Edwin Pujols (edwinpm5) wrote :

@apandada1 The status in saucy (Unity 7.1) just changed to "In Progress", they are working on it :)

Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package unity - 7.1.2+14.04.20131106.1-0ubuntu1

---------------
unity (7.1.2+14.04.20131106.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Clean up NIH Errors so they don't get reported on exit. (LP:
    #1236720)

  [ Brandon Schaefer ]
  * Workaround for now, replace all blacklisted chars in the results
    name with a '?'. So we can still render all the results with out a
    crash. This needs to be fixed in pango/harfbuzz. (LP: #1239381)
  * Get the current char before moving on to the next char!.

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: also redraw the HudView if it has not been fully
    damaged. (LP: #1240322)
  * OverlayRenderer: only and correctly initialize the BGLayer when not
    on GLSL codepath Make sure we set the initial bg_layer_ value to the
    average color, and do this only if really needed. (LP: #1232726)
  * Launcher: desaturate the inactive icons when in Spread mode. (LP:
    #1238892, #1238638)
  * LauncherIcon: add MultiMonitor quirks support A quirk can be now set
    for all monitors or for just one. (LP: #1051913, #1215738, #1240750,
    #1240737)
  * UnityScreen: CreateSuperNewAction with Shift and Numpad for launcher
    This fixes the bug that caused Super+Shift+KP_x not to work as it
    should. (LP: #1240806)
  * AnimationUtils: add Start, Skip and SetValue methods These allows to
    start an animation, to skip it or to just set its value. The
    templates now are more intelligent and we define the values that can
    assume just once, by specializing a StartValueForDirection function.
  * Support libxpathselect1.4. (LP: #1243529)
  * LauncherIcon: use nux::Animation for each Quirk property Update
    Launcher and Icons code accordingly, get rid of the timespec. Remove
    unneded Quirks, reduce redraws and update tests.
  * Invalidate the Icon Centers when the monitor layout changes, so we
    make sure that if an icon center is set, then the icon is available
    on that monitor. Added GetCenterForMonitor that allows to retrieve
    the nearest valid icon center for a given monitor, and in this way
    we can get the best icon that can handle a window minimization. (LP:
    #767752)

  [ Lars Uebernickel ]
  * panel-service.c: don't warn about unknown image type unnecessarily
    Don't warn about indicators that explicitely don't have an image
    set. However, continue warning when the set image is of an unknown
    type.

  [ Chris Townsend ]
  * Instead of using NeedSoftRedraw(), use QueueDraw() for the Launcher
    and Panel to force a redraw to fix issue where leaving a full screen
    unredirected window would not redraw the Launcher and Panel. (LP:
    #1240595)

  [ Eleni Maria Stea ]
  * Added --compiz-path parameter to the unity startup script. It allows
    us to start unity with custom builds of compiz (not only
    /usr/bin/compiz) like that: ./unity --compiz-path
    custom_compiz_build_directory/bin/compiz --replace ccp.

  [ Francis Ginther ]
  * Reverting support for libxpathselect1.4. (LP: #1245988)

  [ Łukasz 'sil2100' Zemczak ]
  * DebugDBusInterface: add support to libxpathselect-1.4 Some cleanups
    and reworking of glib::Variant and debug::...

Read more...

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Markcortbass (markcortbass) wrote :

I still have this bug in 13.10. I see that it's fixed in 14.04. When will it be fixed in 13.10?

Edwin Pujols (edwinpm5) wrote :

I gave Trusty a spin, and the bug is fixed. I guess it's a matter of time before the fix hits Saucy :)

Carlo (woddy68) wrote :

Today I upgraded to Ubuntu 14.04 and this bug is no longer present, you can also solve it on 13.10?

Download full text (4.8 KiB)

Please, stop repeating the same question. Just click the "Affects me too"
since the question has already been asked. Notice that the status says "In
Progress" that means they are working on it (or are conscious of the bug
already).

On Thu, Nov 14, 2013 at 8:46 AM, Carlo <email address hidden> wrote:

> Today I upgraded to Ubuntu 14.04 and this bug is no longer present, you
> can also solve it on 13.10?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1232726
>
> Title:
> Dash bg color doesn't match its surroundings
>
> Status in Unity:
> Fix Committed
> Status in Unity 7.1 series:
> In Progress
> Status in “mesa” package in Ubuntu:
> Invalid
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Saucy:
> In Progress
>
> Bug description:
> Lately, after login the Dash keeps a black background even if the
> Launcher and panel follow the current wallpaper color. I've added a
> screenshot. If I change the wallpaper, Dash recovers its chameleonic
> effect (until next reboot).
>
> Also, this started happening at the same time that a new error message
> (at log time) appeared, I've attached this error message, too.
>
> Description: Ubuntu Saucy Salamander (development branch)
> Release: 13.10
>
> unity:
> Installed: 7.1.1+13.10.20130927.1-0ubuntu1
> Candidate: 7.1.1+13.10.20130927.1-0ubuntu1
> Version table:
> *** 7.1.1+13.10.20130927.1-0ubuntu1 0
> 500 http://us.archive.ubuntu.com/ubuntu/ saucy/main i386
> Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: unity 7.1.1+13.10.20130927.1-0ubuntu1
> ProcVersionSignature: Ubuntu 3.11.0-9.16-generic 3.11.2
> Uname: Linux 3.11.0-9-generic i686
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.12.5-0ubuntu1
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> Date: Sun Sep 29 08:00:07 2013
> DistUpgraded: Fresh install
> DistroCodename: saucy
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated
> Graphics Controller [8086:27a2] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Hewlett-Packard Company Device [103c:30a2]
> Subsystem: Hewlett-Packard Company Device [103c:30a2]
> InstallationDate: Installed on 2013-08-31 (28 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha i386
> (20130830)
> MachineType: Hewlett-Packard HP Compaq nx7400 (GF451LA#ABM)
> MarkForUpload: True
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.11.0-9-generic
> root=UUID=cab2c6d5-2bf8-4db8-ba85-daaf28b1afec ro quiet splash
> SourcePackage: unity
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/18/2006
> dmi.bios.vendor: Hewle...

Read more...

PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity/7.1 at revision None, scheduled for release in unity, milestone 7.1.2

@Mark,

I'm not sure which version of Ubuntu you are using, but this is only currently fixed for 14.04. It is scheduled to be included in an SRU for 13.10, but unfortunately, I don't have a time table of when that will be.

still no fix for ubuntu 13.10

Oleg (olegkostiuk) on 2014-02-09
information type: Public → Public Security
Oleg (olegkostiuk) on 2014-02-09
information type: Public Security → Private Security
information type: Private Security → Public
Changed in unity (Ubuntu Saucy):
status: In Progress → Invalid
Robert (kverko) wrote :

Why is this "invalid" for Saucy? Because it's too late in the day?

Stephen M. Webb (bregma) wrote :

Fix Released in Unity Unity 7.2.0.

Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.